Page MenuHomePhabricator

Mount dumps on SWAP machines (notebook1003.eqiad.wmnet / notebook1004.eqiad.wmnet)
Closed, ResolvedPublic

Description

Please give access to dumps from the SWAP machines.

Event Timeline

diego created this task.Sep 17 2017, 6:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2017, 6:01 PM
fdans triaged this task as Low priority.Sep 21 2017, 4:20 PM
fdans moved this task from Incoming to Backlog (Later) on the Analytics board.
diego added a comment.Sep 27 2017, 6:57 PM

Installing sshfs would be also a good solution for this and for https://phabricator.wikimedia.org/T176093

Nuria moved this task from Backlog (Later) to Dashiki on the Analytics board.Jan 3 2018, 10:48 PM

@elukey, can we also add a hole in the analytics vlan firewall for this? I'd like to mount dataset dumps on the notebook servers as part of T183145.

I think the firewall stuff already exists now, we can do this as part of the dumps NFS migration on April 2, and have the shares available from labstore1006|7 on notebook*. I added T188644 as a parent task.

@elukey, can we also add a hole in the analytics vlan firewall for this? I'd like to mount dataset dumps on the notebook servers as part of T183145.

Should be good now, in theory now any host in the analytics vlan can contact labstore1006|7 (future NFS servers). If I am missing something let me know and I'll add the rules on cr1/cr2 :)

Milimetric moved this task from Dashiki to Incoming on the Analytics board.Apr 2 2018, 3:33 PM
Nuria assigned this task to Ottomata.Apr 5 2018, 4:59 PM
Nuria raised the priority of this task from Low to Medium.
Nuria added a project: Analytics-Kanban.
Nuria moved this task from Incoming to Operational Excellence on the Analytics board.
Ottomata moved this task from Next Up to In Progress on the Analytics-Kanban board.Apr 5 2018, 5:50 PM

Change 424366 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Mount dumps on swap nodes

https://gerrit.wikimedia.org/r/424366

Change 424366 merged by Ottomata:
[operations/puppet@production] Mount dumps on swap nodes

https://gerrit.wikimedia.org/r/424366

Change 424369 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Fix typo

https://gerrit.wikimedia.org/r/424369

Change 424369 merged by Ottomata:
[operations/puppet@production] Fix typo

https://gerrit.wikimedia.org/r/424369

Change 424370 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Fix parameters for statistics::dataset_mount on swap

https://gerrit.wikimedia.org/r/424370

Change 424370 merged by Ottomata:
[operations/puppet@production] Fix parameters for statistics::dataset_mount on swap

https://gerrit.wikimedia.org/r/424370

@madhuvishy, I did as described, and things seem fine, but there aren't any files in the mounted directories.

Ottomata renamed this task from Mount dumps on SWAP machines (notebook1001.eqiad.wmnet / notebook1002.eqiad.wmnet) to Mount dumps on SWAP machines (notebook1003.eqiad.wmnet / notebook1004.eqiad.wmnet).Apr 5 2018, 6:45 PM

Fixed by running sudo exportfs -ra on the nfs servers and remounting on notebook*.

Ahh, great, thanks Madhu!

Ottomata moved this task from In Progress to Done on the Analytics-Kanban board.Apr 6 2018, 12:59 PM
Nuria closed this task as Resolved.Apr 12 2018, 10:10 PM